#
# Cookbook:: wavefront
# Recipe:: install_agent
#
# Copyright:: 2017, The Authors, All Rights Reserved.

require 'mixlib/shellout'
depends 'alphard-python'

bash 'Install Wavefront proxy and agent' do
  cwd Chef::Config[:file_cache_path]
  code <<-EOH
    bash -c "$(curl -sL #{node['wavefront']['install_url']})" -- install \
    --proxy \
    --wavefront-url #{node.default['wavefront']['wavefront_url']} \
    --api-token #{node.default['wavefront']['api_token']} \
    --agent \
    --proxy-address #{node['wavefront']['proxy_address']} \
    --proxy-port #{node['wavefront']['proxy_port']}
  EOH
  # Comment the following out to update the agent on each chef run
  # not_if { ::File.exist?(node['wavefront']['agent_install_path']) }
end

# Dummy service to subscribe to
service 'telegraf' do
  :nothing
end
